/*
Theme Name:     Vertuall
Description:    Thème enfant Vertuall
Author:         Laurie de webCréatrice
Author URI:     https://webcreatrice.com
Template:       generatepress                      
Version:        0.1.0
*/
/* Fonts */

::-moz-selection{background:#03C599;color:#fff;}
::selection{background:#03C599;color:#fff;}

body{background-color:#fff;}

h2, h1 strong{font-family: 'Montserrat', sans-serif;font-weight: 900;}
h1, h3, h4{font-family: 'Montserrat', sans-serif;font-weight: 700;}
h1{color:#56988D;font-weight: 700;line-height:0.95em;}

h2{color:#016352;font-weight:700;margin-bottom:0;margin-bottom: 50px;font-size: 1.75em;line-height: 0.9em;}

h3{color:#016352;font-size:1.25em;}
h3 a{color:#016352;}

blockquote {padding:0 20px;border-color:#56988D;}
body .wp-block-pullquote p{color:#016352;font-weight:700;line-height:1.15em;}
body .wp-block-pullquote cite{color:#56988D;}

a.generate-back-to-top, a.generate-back-to-top:hover, a.generate-back-to-top:focus{border-radius:20px;background-color:#016352;}

.home #actualites h2, .home #contact h2{position:relative;}
.home #actualites h2:before, .home #contact h2:before{content:"▶";position:absolute;display: inline-block;left:-163px;}

.main-navigation .main-nav ul li[class*="current-menu-"] > a, .footer-widgets .widget a{color:#000;text-decoration:none;}
.main-navigation .main-nav ul li.current_page_item:first-child > a{font-weight:900;color:#016352;}
.main-navigation .main-nav ul li > a{position:relative;}
.main-navigation .main-nav ul li:last-child > a{border-right:0 none;}

.main-navigation .main-nav ul li > a::after {content: " | ";position: absolute;top: 0;right: 0;font-weight: 900;}
    
.menu-linkedin a, .menu-youtube a{width:70px;}
.menu-linkedin a{position:relative;font-size:0;background:transparent url('https://www.vertuall.fr/wp-content/uploads/2026/08/icon-linkedin.svg') no-repeat 20px 18px;background-size:21px;}
.menu-linkedin a::after{content: " ";display: block;width:2.5px;height:15px;background-color: #000;margin-top:25px;}

.menu-youtube a{font-size:0;background:transparent url('https://www.vertuall.fr/wp-content/uploads/2026/08/YouTube_full-color_icon_2024.svg.webp') no-repeat 15px 24px;background-size:25px;}

.flex{display:flex;gap:20px;}

h1 strong{background: linear-gradient(180deg,rgba(255,255,255,0) 0,rgba(255,255,255,0) 50%,#A4C13A 50%,#A4C13A 100%);width: max-content;display: block;padding: 0 10px 0 5px;}

.home h1{margin-top:-150px;padding: 40px 50px 0;}

ul li::marker{color:#0974B3;font-size:1.25em;}

.wp-block-button .wp-block-button__link, .wpcf7-submit, .article-une__bouton{color:#fff;background-color:#56988D;font-weight:700;border-radius: 25px;}
button, html input[type="button"], input[type="reset"], input[type="submit"],
a.button, a.wp-block-button__link:not(.has-background){color:#fff;background-color:#56988D;}
body a.wp-block-button__link:not(.has-background):hover, body .wp-block-button .wp-block-button__link:hover,
body .wpcf7-submit:hover, .article-une__bouton:hover{color:#fff;background-color:#016352;}


.wpcf7  input[type="text"], .wpcf7 input[type="email"], .wpcf7 input[type="tel"], textarea{width: 100%;margin-top: 15px;border: 2px solid #016352;border-radius: 28px;}
.wpcf7 label{padding-left: 20px;}

.grid-container{max-width:100%;}
#page #primary{background-color:#56988D;}
.home #page #primary{background:transparent url("img/background-bottom-vertuall.jpg") no-repeat 0 bottom;}



#page #main{max-width: 1200px;margin:0 auto;padding-bottom:450px;}
.inside-article{border-radius: 0 0 0 80px;border-bottom: 10px solid #016352;}

.separate-containers .inside-article {padding: 0 60px 60px;}
.separate-containers .inside-article{border-radius:0 0 0 60px;}
.home.separate-containers .inside-article{border-radius: 0 60px 0 60px;}
.home .entry-content{padding: 0 50px;}

#actualites, #contact{margin-left: calc(50% - 50vw);
  margin-right: calc(50% - 50vw);background:#FCFCFC linear-gradient(180deg,rgba(252, 252, 252, 1) 47%, rgba(255, 255, 255, 1) 85%);}


.separate-containers .inside-article > .featured-image{display:none;}

#applications .wp-block-media-text__content{border-left: 6px solid #56988D;margin-left: 30px;}
#applications + .wp-block-spacer + .has-media-on-the-right .wp-block-media-text__content{border-right: 6px solid #56988D;margin-right: 30px;}

.site-header .header-image {width: 120px;}
.home .site-header .header-image {width: 250px;}
.home .site-logo{position:absolute;top:20px;}

.derniers-contenus__image img{border-radius: 0 60px;}

footer.site-info{display:none;}
.site-footer .inside-footer-widgets > div{border-right:3px solid #036251;}
.site-footer .inside-footer-widgets div:last-child{border-right:0 none;}

.footer-widget-3 .wp-block-group__inner-container{display:flex;gap: 2em;align-items: center;}


/*--------------------------------------------------------------
## Responsive
--------------------------------------------------------------*/
@media (max-width:980px){
    .home .site-header .header-image {width: 180px;}
    .separate-containers .inside-article {padding: 0 20px 60px;}
}
@media (max-width:760px){
    .home .site-header .header-image{width: 110px;}
    .home h1 {margin-top: 0;padding: 40px 20px;}
    .home .entry-content {padding: 0 20px;}
}
@media (max-width:640px){
    h1 {font-size: 30px;padding: 40px 20px 0;}
    body .wp-block-pullquote {margin: 0;padding: 0;}
    body .wp-block-spacer{height:40px !important;}
    body .wp-block-media-text.is-stacked-on-mobile > .wp-block-media-text__media {margin-bottom: 40px;}
    .article-une__titre {margin-top: 30px;}
    .wpcf7 .flex{display:block;}
}
@media (max-width:360px){
    #applications .wp-block-media-text__content {border-left: 0 none;margin-left:0;}
    #applications + .wp-block-spacer + .has-media-on-the-right .wp-block-media-text__content{border-right: 0 none;margin-right:0;}
    body .wp-block-media-text > .wp-block-media-text__content{padding: 0;}

}